| Validate | Source code | Contents | Index
Text.XML.HaXml.Validate
Description
Validate a document against a dtd.
Synopsis
validate :: DocTypeDecl -> Element i -> [String]
partialValidate :: DocTypeDecl -> Element i -> [String]
Documentation
validate :: DocTypeDecl -> Element i -> [String] | Source
`validate` takes a DTD and a tagged element, and returns a list of errors in the document with respect to its DTD. If you have several documents to validate against a single DTD, then you will gain efficiency by freezing-in the DTD through partial application, e.g. `checkMyDTD = validate myDTD`.
partialValidate :: DocTypeDecl -> Element i -> [String] | Source
`partialValidate` is like validate, except that it does not check that the element type matches that of the DTD's root element.
Produced by Haddock version 2.4.2